Skip to main content
POST
/
v1
/
segments
Create segment
curl --request POST \
  --url https://api.emailr.dev/v1/segments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Active Users",
  "conditions": {
    "opened_email": {
      "within_days": 30
    }
  },
  "description": "Users who opened an email in the last 30 days"
}
'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "conditions": {},
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Use your API key as the bearer token.

Body

application/json
name
string
required
Minimum string length: 1
Example:

"Active Users"

conditions
object
required
Example:
{ "opened_email": { "within_days": 30 } }
description
string
Example:

"Users who opened an email in the last 30 days"

Response

Segment created

id
string<uuid>
required
Example:

"123e4567-e89b-12d3-a456-426614174000"

organization_id
string<uuid>
required
name
string
required
description
string | null
required
conditions
object
required
created_by
string<uuid> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required